## haskell-tuple 0.3.0.2

=== Makefile ===
all:
	@echo No target

N=32

update:	updateCurry updateSelect updateSequence updateUpd

updateCurry:
	make N=$(N) UPDFILE=src/Data/Tuple/Curry.hs UPD=curry updateIt

updateSelect:
	make N=$(N) UPDFILE=src/Data/Tuple/Select.hs UPD=select updateIt

updateSequence:
	make N=$(N) UPDFILE=src/Data/Tuple/Sequence.hs UPD=sequence updateIt

updateUpd:
	make N=$(N) UPDFILE=src/Data/Tuple/Update.hs UPD=update updateIt

updateIt:
	sed '/--snip--/,$$d' $(UPDFILE) > tmp.hs
	runhaskell Tools/MkTuple $(UPD) $(N) >> tmp.hs
	mv tmp.hs $(UPDFILE)

install:
	cabal install

=== debian/changelog ===
haskell-tuple (0.3.0.2-6) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 10:17:18 +0300

haskell-tuple (0.3.0.2-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Sep 2023 22:54:59 +0300

haskell-tuple (0.3.0.2-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 18 Jul 2022 19:12:48 +0300

haskell-tuple (0.3.0.2-3) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 16:07:40 +0300

haskell-tuple (0.3.0.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 11:38:41 +0300

haskell-tuple (0.3.0.2-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Tue, 15 May 2018 15:15:22 -0400

=== debian/control ===
Source: haskell-tuple
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.8),
 cdbs,
 ghc (>= 9.4),
 ghc-prof,
 libghc-onetuple-dev (<< 10),
 libghc-onetuple-prof (<< 10),
Build-Depends-Indep: ghc-doc,
 libghc-onetuple-doc,
Standards-Version: 4.7.0
X-Description: various functions on tuples
 Various useful functions on tuples, overloaded on tuple size.

Package: libghc-tuple-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-tuple-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-tuple-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = tuple
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
